Bug 587926 (perl-Proc-PID-File) - Review Request: perl-Proc-PID-File - Module to manage process id files
Summary: Review Request: perl-Proc-PID-File - Module to manage process id files
Keywords:
Status: CLOSED ERRATA
Alias: perl-Proc-PID-File
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-01 15:36 UTC by Remi Collet
Modified: 2010-05-19 02:40 UTC (History)
3 users (show)

Fixed In Version: perl-Proc-PID-File-1.27-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 19:37:02 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2010-05-01 15:36:37 UTC
Spec URL: http://remi.fedorapeople.org/perl-Proc-PID-File.spec
SRPM URL: http://remi.fedorapeople.org/perl-Proc-PID-File-1.27-1.remi.src.rpm
Description: 
This Perl module is useful for writers of daemons and other processes that
need to tell whether they are already running, in order to prevent multiple
process instances.  The module accomplishes this via *nix-style I<pidfiles>,
which are files that store a process identifier.

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=2153636

rpmlint output :
perl-Proc-PID-File.spec: I: checking-url http://www.cpan.org/authors/id/E/EC/ECALDER/Proc-PID-File-1.27.tar.gz (timeout 10 seconds)
perl-Proc-PID-File.src: I: checking
perl-Proc-PID-File.src: W: spelling-error %description -l en_US pidfiles -> piddles, misfiles, pitiless
perl-Proc-PID-File.src: I: checking-url http://search.cpan.org/dist/Proc-PID-File/ (timeout 10 seconds)
perl-Proc-PID-File.src: I: checking-url http://www.cpan.org/authors/id/E/EC/ECALDER/Proc-PID-File-1.27.tar.gz (timeout 10 seconds)
perl-Proc-PID-File.noarch: I: checking
perl-Proc-PID-File.noarch: W: spelling-error %description -l en_US pidfiles -> piddles, misfiles, pitiless
perl-Proc-PID-File.noarch: I: checking-url http://search.cpan.org/dist/Proc-PID-File/ (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Emmanuel Seyman 2010-05-02 20:05:42 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-05-02 20:27:39 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156225

 [x] Rpmlint output:
perl-Proc-PID-File.src: W: spelling-error %description -l en_US pidfiles -> piddles, misfiles, pitiless
perl-Proc-PID-File.noarch: W: spelling-error %description -l en_US pidfiles -> piddles, misfiles, pitiless
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
3fcb07f914f863f9a0967b35af562f9f  Proc-PID-File-1.27.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156225
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
1..12
ok 1 - simple: thread safe
ok 2 - simple: running
Can't exec "ps": Permission denied at blib/lib/Proc/PID/File.pm line 256.
ok 3 - SKIPPED - simple: verified (real)
Can't exec "ps": Permission denied at blib/lib/Proc/PID/File.pm line 256.
ok 4 - SKIPPED - simple: verified (false)
ok 5 - simple: single instance
ok 6 - simple: destroy
ok 7 - oo: object initialised
ok 8 - oo: file touched
ok 9 - oo: alive (with current process)
ok 10 - oo: alive (with daemon)
Can't exec "ps": Permission denied at blib/lib/Proc/PID/File.pm line 256.
ok 11 - SKIPPED - oo: alive (verified)
ok 12 - oo: released
waiting for daemon death.....
done

APPROVED.

Comment 3 Remi Collet 2010-05-03 06:17:43 UTC
Thanks for the review

New Package CVS Request
=======================
Package Name: perl-Proc-PID-File
Short Description: Module to manage process id files
Owners: remi
Branches: F-12 F-13 EL-4 EL-5
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-05-04 02:58:39 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-05-04 17:29:20 UTC
perl-Proc-PID-File-1.27-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.fc13

Comment 6 Fedora Update System 2010-05-04 17:29:46 UTC
perl-Proc-PID-File-1.27-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.fc12

Comment 7 Fedora Update System 2010-05-04 17:30:39 UTC
perl-Proc-PID-File-1.27-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.el5

Comment 8 Fedora Update System 2010-05-04 17:31:01 UTC
perl-Proc-PID-File-1.27-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.el4

Comment 9 Fedora Update System 2010-05-05 07:19:05 UTC
perl-Proc-PID-File-1.27-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Proc-PID-File'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.fc13

Comment 10 Fedora Update System 2010-05-06 00:51:11 UTC
perl-Proc-PID-File-1.27-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Proc-PID-File'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.el5

Comment 11 Fedora Update System 2010-05-06 00:51:17 UTC
perl-Proc-PID-File-1.27-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Proc-PID-File'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.el4

Comment 12 Fedora Update System 2010-05-06 03:39:36 UTC
perl-Proc-PID-File-1.27-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Proc-PID-File'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Proc-PID-File-1.27-1.fc12

Comment 13 Fedora Update System 2010-05-11 19:36:57 UTC
perl-Proc-PID-File-1.27-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-12 12:21:11 UTC
perl-Proc-PID-File-1.27-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-19 02:36:27 UTC
perl-Proc-PID-File-1.27-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-19 02:40:41 UTC
perl-Proc-PID-File-1.27-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.